<?php 
  /* PHPix photo album
   * Copyright (C) 2001 Neale Pickett <neale@woozle.org>
   * Copyright (C) 2000 Robert A. Holak <conefish@sourceforge.net>
   *
   * This program is free software; you can redistribute it and/or
   * modify it under the terms of the GNU General Public License as
   * published by the Free Software Foundation; either version 2 of
   * the License, or (at your option) any later version.
   *
   * This program is distributed in the hope that it will be useful,
   * but WITHOUT ANY WARRANTY; without even the implied warranty of
   * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   * GNU General Public License for more details.
   *
   * You should have received a copy of the GNU General Public License
   * along with this program; if not, write to the Free Software
   * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   * 02111-1307  USA
   */
	include("common.inc");
	$pic = stripslashes($pic);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <title><?php print "${titleprefix}${pic}"; ?></title>
<?
    if ($stylesheet) {
      print "<link rel=\"stylesheet\" href=\"$stylesheet\">\n";
    } else {
      print "<link rel=\"stylesheet\" href=\"${htmlbase}style.css\">\n";
    }
    StandardLinks("view",$album,$start,$picindex);
?>
  </head>
  <body <?php echo $id; ?>>
<?
    $IE = eregi("MSIE",$HTTP_USER_AGENT) == 1;
    if ($IE) {
      print "<div class=\"contentIE\"  $id>\n";
    } else {
      print "<div class=\"content\"  $id>\n";
    }
?>
      <table width="100%" cellpadding="2" cellspacing="0" border="0" class="navbar" <?php echo $id; ?>>
        <tr class="navbar">
          <td class="navbar">
            <?php NavBar("album", $album, $start); ?> &gt; <? print $pic; ?>
          </td>
          <td class='dimensions'>
<?php
	$sourcefile = $realpixbase.$album."/".$pic;
	$cache_base_user = $cache_base."/".$usercachebase;

	$srcsize = GetImageSize("$sourcefile");

	if ($srcsize[0]) {
		print "$srcsize[0]x$srcsize[1]";
	} else {
		print "unknown format";
	}
?>

          </td>
          <td class='location'>
<?php
	if ($filelist[($picindex-1)]) {
          $prevarr = AlbumArray($start);
          $prevarr['pic'] = $filelist[$picindex-1];
          $prevarr['picindex'] = $picindex-1;
          print MakeLink($viewpath, "&lt;--", MakeQueryString($prevarr), 'navbar', 'prev');
	}
	print "Image&nbsp;" . ($picindex + 1) . "&nbsp;of&nbsp;$totalfiles"; 
	if ($filelist[($picindex+1)]) {
          $nextarr = AlbumArray($start);
          $nextarr['pic'] = $filelist[$picindex+1];
          $nextarr['picindex'] = $picindex+1;
          print MakeLink($viewpath, "--&gt;", MakeQueryString($nextarr), 'navbar', 'next');
	}
?>
		  </td>
		</tr>
      </table>

<?php
	$descfile = $realdescbase.$album."/${pic}__desc.txt";
	if (file_exists($descfile)) {
		print "<div class='description'>\n";
		$fd = fopen($descfile, "r");
		while (! feof($fd)) {
			$buffer = fgets($fd, 4096);
			print $buffer;
		}
		fclose($fd);
		print "</div>\n";
	}
?>


      <div class='feature'>
<?php
	if ($modify) {
?>
	<table class='rotate'>
	  <tr class='rotate'>
	    <td class='rotate' id='ccw'>
	      <a href='XXX:url'>Rotate 90&deg; counter-clockwise</a>
	    </td>
	    <td class='rotate' id='cw'>
	      <a href='XXX:url'>Rotate 90&deg; clockwise</a>
	    </td>
	  </tr>
	</table>
	<br clear='all'>
<?php
	}
	
	if ($srcsize[0] > $srcsize[1]) {
		$wmul = 1;
		$hmul = $srcsize[1] / $srcsize[0];
		$csize = $srcsize[0];
	} else {
		if ($srcsize[1] != 0) {
			$wmul = $srcsize[0] / $srcsize[1];
		}
		$hmul = 1;
		$csize = $srcsize[1];
	}
	$dlinksize = $dispsize;
	if ($dispsize >= $csize) {
		$current_dispsize = "Original";
	} else {
		$current_dispsize = $dispsize;
	}
	DisplayImg2("", $album, $pic, $current_dispsize, 0, "body", "", 0);
?>
      </div>

      <table class="footer" width="100%">
	<tr class="footer">
<?php
        print "<td class='footer-prev'>\n";
	if (isset($prevarr)) {
          DisplayImg2($htmlbase.$viewpath.$userstring."?".MakeQueryString($prevarr), $album, $prevarr['pic'], $thumb_size, $prevarr['pic'], 'body', '&lt;-- Previous');
	} else {
		DisplayImg2(0, "##NONE##", "blank.gif", $thumb_size);
	}

	print "<td class='footer-adjust'>\n";
        if ($admin_mode) {
          print DescEditor($htmlbase.$viewpath.$userstring, $descfile);
        } else {
          print "<form method=\"get\" action=\"${htmlbase}${viewpath}${userstring}\">\n";
          print "<div><label for='dispsize'>Adjust size:</label><br>\n";
          print "<select onChange='submit();' name='dispsize' id='dispsize'>\n";
          while (list($foo,$dsize) = each($viewsizes)) {
            if ($dsize == 'Original') {
              print "<option value='Original'";
              if ($dsize == $current_dispsize) {
                print " selected";
              }
              print ">Original</option>\n";
            } elseif ($dsize < $csize) {
              print "<option value='" . ceil($dsize * $wmul) . "'";
              if (($wmul==1 && $dsize == $current_dispsize)
                  || ($hmul==1 && $dsize*$wmul == $current_dispsize))  {
                print " SELECTED";
              }
              print ">";
              print ceil($dsize * $wmul) . "x" . ceil($dsize * $hmul);
              print "</option>\n";
            }
          }
          print "</select>\n";
          print "<input type='hidden' name='album' value='$album'>\n";
          print "<input type='hidden' name='pic' value='$pic'>\n";
          print "<input type='hidden' name='start' value='$start'>\n";
          print "<input type='hidden' name='picindex' value='$picindex'>\n";
          print "<input type='hidden' name='mode' value='$mode'>\n";
          print "<input type='submit' value='View'>\n";
          print "</div>\n";
          print "</form>\n";
        }
	print "</td>";

        print "<td class='footer-next'>\n";
	if (isset($nextarr)) {
          DisplayImg2($htmlbase.$viewpath.$userstring."?".MakeQueryString($nextarr), $album, $nextarr['pic'], $thumb_size, $nextarr['pic'], 'body', 'Next --&gt;');
	} else {
          DisplayImg2(0, "##NONE##", "blank.gif", $thumb_size);
	}

	# XXX: this should be placed somewhere
	if ($show_exif) {
		$exif = read_exif_data($sourcefile);
		while (list($k, $v) = each($exif)) {
			echo "$k: $v<br>\n";
		}
	}

?>
        </tr>
      </table>

      <div class="generated">
	Generated by <a href="http://phpix2.sourceforge.net/"><?php print "$productname $version"; ?></a>
        &nbsp; &nbsp; <?php print insert_modify_link($realdescbase.$album); ?>
      </div>
    </div>
  </body>
</html>

